osl::PieceFilter< Action > Class Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::PieceFilter< Action > Class Template Reference

exceptPiece以外の場合にactionを呼び出す More...

`#include <pieceFilter.h>`

Collaboration diagram for osl::PieceFilter< Action >:
[legend]

## Public Member Functions
| PieceFilter (Action &a, Piece p)
template<Player P, Ptype Type>
void | doActionPtype (Piece p1, Square to)
template<Player P>
void | doAction (Piece p1, Square to)
bool | done () const

## Private Attributes
Action & | ac
Piece | piece

## Detailed Description

### template<class Action>
class osl::PieceFilter< Action >

exceptPiece以外の場合にactionを呼び出す

自分自身が動いて合い駒するのを防ぐ

Definition at line 13 of file pieceFilter.h.

## Constructor & Destructor Documentation

template<class Action >

osl::PieceFilter< Action >::PieceFilter | ( | Action & | a,
|  | Piece | p
| ) |  |
| inline

Definition at line 19 of file pieceFilter.h.

## Member Function Documentation

template<class Action >
template<Player P>

void osl::PieceFilter< Action >::doAction | ( | Piece | p1,
|  | Square | to
| ) |  |
| inline

Definition at line 28 of file pieceFilter.h.

References osl::PieceFilter< Action >::ac, and osl::PieceFilter< Action >::piece.

template<class Action >
template<Player P, Ptype Type>

void osl::PieceFilter< Action >::doActionPtype | ( | Piece | p1,
|  | Square | to
| ) |  |
| inline

Definition at line 22 of file pieceFilter.h.

References osl::PieceFilter< Action >::ac, and osl::PieceFilter< Action >::piece.

template<class Action >

bool osl::PieceFilter< Action >::done | ( | ) |  | const
| inline

Definition at line 33 of file pieceFilter.h.

References osl::PieceFilter< Action >::ac.

## Member Data Documentation

template<class Action >

Action& osl::PieceFilter< Action >::ac
| private

Definition at line 16 of file pieceFilter.h.

Referenced by osl::PieceFilter< Action >::doAction(), osl::PieceFilter< Action >::doActionPtype(), and osl::PieceFilter< Action >::done().

template<class Action >

Piece osl::PieceFilter< Action >::piece
| private

Definition at line 17 of file pieceFilter.h.

Referenced by osl::PieceFilter< Action >::doAction(), and osl::PieceFilter< Action >::doActionPtype().

The documentation for this class was generated from the following file:

- pieceFilter.h